API ReferenceapiidentityPATCH /v1/admin/oauth-clients/{clientId}

PATCH /v1/admin/oauth-clients/\{clientId\}

Service: identity · operationId: (none)

Update client settings

Required scopes

(no scope declared — review service config)

Path parameters

  • clientId (string) required

Request body

{
  "type": "object",
  "properties": {
    "client_name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 255
    },
    "client_uri": {
      "type": [
        "string",
        "null"
      ],
      "format": "uri"
    },
    "logo_uri": {
      "type": [
        "string",
        "null"
      ],
      "format": "uri"
    },
    "redirect_uris": {
      "type": "array",
      "items": {
        "type": "string",
        "format": "uri"
      },
      "minItems": 1
    },
    "allowed_scopes": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "minItems": 1
    },
    "allowed_origins": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "enabled": {
      "type": "boolean"
    }
  }
}

Responses

200 Client updated

{
  "type": "object",
  "properties": {
    "client": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "client_id": {
          "type": "string"
        },
        "client_name": {
          "type": "string"
        },
        "client_uri": {
          "type": [
            "string",
            "null"
          ]
        },
        "logo_uri": {
          "type": [
            "string",
            "null"
          ]
        },
        "client_type": {
          "type": "string",
          "enum": [
            "confidential",
            "public"
          ]
        },
        "redirect_uris": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "allowed_scopes": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "allowed_origins": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "owner_id": {
          "type": [
            "string",
            "null"
          ]
        },
        "brand_id": {
          "type": "string"
        },
        "is_first_party": {
          "type": "boolean"
        },
        "enabled": {
          "type": "boolean"
        },
        "created_at": {
          "type": "string"
        },
        "updated_at": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "client_id",
        "client_name",
        "client_uri",
        "logo_uri",
        "client_type",
        "redirect_uris",
        "allowed_scopes",
        "allowed_origins",
        "owner_id",
        "brand_id",
        "is_first_party",
        "enabled",
        "created_at",
        "updated_at"
      ]
    }
  },
  "required": [
    "client"
  ]
}

404 Client not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X PATCH https://identity.platform.loop.health/v1/admin/oauth-clients/{clientId} \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'